Skip to content

List Booking Order Histories ​

GET
/v1/internal/history/bookingorders

Retrieve booking order history records based on the supplied filters. Restricted to ADMIN and PRODUCT_MANAGEMENT roles.

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
query
Default
null
select
Default
null

Responses​

OK

application/json
JSON
{
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
},
  
"booking_orders": [
  
  
{
  
  
  
"additionalProperties": "string"
  
  
}
  
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​